{
    "path": "$OET_PATH/testcases/function_test/pkg_test/fence-agents/fence-agents-ironic",
    "machine num": 1,
    "cases": [
        {
            "name": "test_fence-agents-ironic_function_install",
            "desc": "测试 fence-agents-ironic 软件包能否通过系统包管理器（如 yum 或 dnf）成功安装。"
        },
        {
            "name": "test_fence-agents-ironic_function_installed",
            "desc": "测试 fence-agents-ironic 软件包是否已正确安装在系统中。"
        },
        {
            "name": "test_fence-agents-ironic_function_uninstall",
            "desc": "测试 fence-agents-ironic 软件包能否通过系统包管理器成功卸载且不破坏关键依赖。"
        },
        {
            "name": "test_fence-agents-ironic_function_help",
            "desc": "测试 fence-agents-ironic 主代理命令（如 fence_ironic）是否支持 --help 或 -h 选项并显示基本使用信息。"
        },
        {
            "name": "test_fence-agents-ironic_function_status",
            "desc": "测试 fence-agents-ironic 代理能否通过模拟参数（如 --ip、--username、--password）成功执行对 Ironic 节点的状态查询操作。"
        },
        {
            "name": "test_fence-agents-ironic_function_reboot",
            "desc": "测试 fence-agents-ironic 代理能否通过有效参数成功向 Ironic 节点发送重启指令。"
        }
    ]
}